summaryrefslogtreecommitdiffstats
path: root/trunk/testsuite/undo1.sh
diff options
context:
space:
mode:
Diffstat (limited to 'trunk/testsuite/undo1.sh')
-rwxr-xr-xtrunk/testsuite/undo1.sh6
1 files changed, 4 insertions, 2 deletions
diff --git a/trunk/testsuite/undo1.sh b/trunk/testsuite/undo1.sh
index d8436a5..a34ce1c 100755
--- a/trunk/testsuite/undo1.sh
+++ b/trunk/testsuite/undo1.sh
@@ -6,12 +6,14 @@ $CC -shared -O2 -fpic -o undo1lib1.so $srcdir/reloc1lib1.c
$CC -shared -O2 -fpic -o undo1lib2.so $srcdir/reloc1lib2.c undo1lib1.so
BINS="undo1"
LIBS="undo1lib1.so undo1lib2.so"
-$CCLINK -o undo1 $srcdir/reloc1.c -Wl,--rpath-link,. undo1lib2.so
+$CCLINK -o undo1 $srcdir/reloc1.c -Wl,--rpath-link,. undo1lib2.so undo1lib1.so
savelibs
echo $PRELINK ${PRELINK_OPTS--vm} ./undo1 > undo1.log
$PRELINK ${PRELINK_OPTS--vm} ./undo1 >> undo1.log 2>&1 || exit 1
grep -q ^`echo $PRELINK | sed 's/ .*$/: /'` undo1.log && exit 2
-LD_LIBRARY_PATH=. ./undo1 || exit 3
+if [ "x$CROSS" = "x" ]; then
+ LD_LIBRARY_PATH=. ./undo1 || exit 3
+fi
readelf -a ./undo1 >> undo1.log 2>&1 || exit 4
# So that it is not prelinked again
chmod -x ./undo1